#include <Arduino.h>
#include <AudioOutputI2S.h>
#include <AudioFileSourcePROGMEM.h>
#include <AudioGeneratorFLAC.h>

#include "sample.h"

AudioOutputI2S *out;
AudioFileSourcePROGMEM *file;
AudioGeneratorFLAC *flac;

bool LoopFlag = true;

void setup()
{
  Serial.begin(115200);
  Serial.println("Starting up...\n");

//  audioLogger = &Serial;
  // file = new AudioFileSourcePROGMEM( sample_flac, sizeof(sample_flac) );
  file = new AudioFileSourcePROGMEM( femvox, sizeof(femvox) );
  out = new AudioOutputI2S();
  out -> SetPinout(26,27,25); /* BCLK, LRC, DIN */
  flac = new AudioGeneratorFLAC();
  flac->begin(file, out);
}

void loop()
{
        if (flac->isRunning()) {    
          flac->loop();
        //  Serial.printf("FLXX ");
        } else {
          flac->stop();
          LoopFlag != LoopFlag;
          Serial.printf("FLAC done\n");
          delay(1000);
          trigFlac();
        }
    
}

void trigFlac(){
   flac = new AudioGeneratorFLAC();
   flac->begin(file, out);
}
